import sys
import os

import publisher

def clean_vhost_sessions():
    manager = sessions.StorageSessionManager()
    one_week_ago = time.time() - 2*86400
    one_month_ago = time.time() - 30*86400
    for session_key in manager.keys():
        try:
            session = manager.get(session_key)
        except AttributeError:
            del manager[session_key]
            continue
        if session._access_time < one_week_ago or session._creation_time < one_month_ago:
            del manager[session.id]

def export_settings(args):
    stdout = sys.stdout
    pub = publisher.WcsPublisher.create_publisher()

    i = 0
    while i < len(args):
        if args[i] == '--vhost':
            pub.app_dir = os.path.join(pub.app_dir, args[i+1])
            i += 1
        i += 1

    pub.reload_cfg()
    print >> stdout, pub.export_cfg()

