import time
import sys
import os

import publisher

from wcs.formdef import FormDef

def rebuild_vhost_indexes():
    FormDef.rebuild_indexes()

def rebuild_indexes(args):
    pub = publisher.WcsPublisher.create_publisher()

    if '--single_host' in args:
        rebuild_vhost_indexes()
    else:
        app_dir = pub.app_dir
        hostnames = os.listdir(app_dir)
        for hostname in hostnames:
            pub.app_dir = os.path.join(app_dir, hostname)
            rebuild_vhost_indexes()

